<?php
// NetArt Media Partner Store 
// Copyright (c) All Rights Reserved, NetArt Media 2003-2022
// Check https://www.netartmedia.net/white-label for demos and information
?><?php
if(!defined('IN_SCRIPT')) die("");
?>

<?php
$this->SetAdminHeader($this->texts["dashboard"]);
?>

<div class="col-lg-4 col-sm-6">
	<div class="card">
		<div class="content">
			<div class="row">
				<div class="col-xs-4">
					<div class="icon-big icon-info text-center">
						<i class="ti-check-box"></i>
					</div>
				</div>
				<div class="col-xs-8">
					<div class="numbers">
						<p><?php echo $this->texts["orders"];?></p>
						<a href="index.php?page=categories" style="color:#252422"><?php
						$total_orders=$this->count_files("../".$this->data_folder."/orders");
						echo $total_orders;
						?></a>
						
					</div>
				</div>
			</div>
			<div class="footer">
				<hr />
				<div class="stats">
					<i class="ti-arrow-right"></i> <a href="index.php?page=orders"><?php echo $this->texts["see_all_orders"];?></a>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="col-lg-4 col-sm-6">
	<div class="card">
		<div class="content">
			<div class="row">
				<div class="col-xs-5">
					<div class="icon-big icon-success text-center">
						<i class="ti-pencil-alt"></i>
					</div>
				</div>
				<div class="col-xs-7">
					<div class="numbers">
						<p><?php echo $this->texts["product_categories"];?></p>
						<a href="index.php?page=categories" style="color:#252422">
						<?php
						$categories_content=file_get_contents('../include/categories.php');
						echo substr_count($categories_content,". ");
						?>
						
						</a>
					</div>
				</div>
			</div>
			<div class="footer">
				<hr />
				<div class="stats">
					<i class="ti-arrow-right"></i> <a href="index.php?page=categories"><?php echo $this->texts["set_product_categories"];?></a>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="col-lg-4 col-sm-6">
	<div class="card">
		<div class="content">
			<div class="row">
				<div class="col-xs-4">
					<div class="icon-big icon-warning text-center">
						<i class="ti-clipboard"></i>
					</div>
				</div>
				<div class="col-xs-8">
					<div class="numbers">
					
						<?php
						$posts = simplexml_load_file($this->data_file);
						$total = $posts->xpath("/listings/listing");
						?>
					
					
						<p><?php echo $this->texts["products"];?></p>
						<a href="index.php?page=products" style="color:#252422"><?php echo count($total);?></a>
					</div>
				</div>
			</div>
			<div class="footer">
				<hr />
				<div class="stats">
					<i class="ti-arrow-right"></i> <a href="index.php?page=products"><?php echo $this->texts["set_products_show"];?></a>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="clearfix"></div>




<div class="col-lg-12">
	<div class="card min-height-300">
	<br/>
	<div class="clearfix"></div>
				
			<div class="add-left-padding ">
				<h4 class="title no-top-margin"><?php  echo $this->texts["new_orders"];?></h4>
			</div>
			<div class="clearfix"></div>
			<br/>
			<?php
			
			if($total_orders==0)
			{
				echo "<div class=\"header\">".$this->texts["still_no_orders"]."</div>";
			}
			else
			{
			
				$files = glob("../".$this->data_folder."/orders/*.xml");
				$files = array_combine($files, array_map("filemtime", $files));
				arsort($files);

		
				?>	
				<div class="table-responsive table-wrap add-padding">
					<table class="table table-striped">
					  <thead>
						<tr>
						
						  <th width="170"><?php echo $this->texts["date"];?></th>
						  <th width="100"><?php echo $this->texts["amount"];?></th>
						  <th><?php echo $this->texts["customer_details"];?></th>
						  <th width="140"><?php echo $this->texts["contact_link"];?></th>
						  <th><?php echo $this->texts["products"];?></th>
						 
						</tr>
					  </thead>
				  <tbody>
				  <?php
					
					$order_counter=0;
					foreach($files as $order_file=>$time)
					{
						if($order_counter>3) break;
						$order = simplexml_load_file($order_file);
						
						?>
						<tr>
							
							
							
							<td><?php echo date($this->settings["website"]["date_format"],$time);?>
							<br/>
							<?php
								echo "<span style=\"font-size:10px\">".$this->texts["code"].": ".$order->order->code."</span>";
							
							?>
							</td>
							<td>
							<?php 
							if($order->order->amount!="")
							{
								echo "<strong>".$this->price_format(floatval($order->order->amount))."</strong>";
							}
							?>
							</td>
							<td>
								<strong><?php echo $order->order->first_name;?> <?php echo $order->order->last_name;?></strong>
								<br/>
								<?php echo $order->order->address;?> 
								<br/>
								<?php echo $order->order->zip;?> <?php echo $order->order->city;?>, <?php echo $order->order->country;?>
							</td>
							<td>
								<a href="mailto:<?php echo $order->order->email;?>"><?php echo $order->order->email;?></a>
								<br/>
								<?php echo $order->order->phone;?>
							</td>
							<td>
								<?php 
								$order->order->product_details=str_replace("<br/>","<br/><br/>",$order->order->product_details);
								echo $order->order->product_details;
								?>
							</td>
							
						</tr>
						<?php
						$order_counter++;
					}
				  ?>
				 
				  </tbody>
				</table>
			  </div>
			 
			  <div class="add-left-padding">
				<a href="index.php?page=orders" class="btn btn-primary"> <?php echo $this->texts["see_all"];?> </a>
			  </div>
			<?php
			}
			?>
			  <div class="clearfix"></div>
			  <br/>
			  
	</div>
</div>	



