/* NetArt Easy Cart - www.netartmedia.net/easy-cart
 * Copyright 2003-2022 NetArt Media
 * https://www.netartmedia.net
 */
 
var cart_products = Array();
var cart_quantities = Array();
var cart_options = Array();
var cart_option_prices = Array();

Number.prototype.formatMoney = function(c, d, t)
{
	var n = this, 
    c = isNaN(c = Math.abs(c)) ? 2 : c, 
    d = d == undefined ? "." : d, 
    t = t == undefined ? "," : t, 
    s = n < 0 ? "-" : "", 
    i = String(parseInt(n = Math.abs(Number(n) || 0).toFixed(c))), 
    j = (j = i.length) > 3 ? j % 3 : 0;
   return s + (j ? i.substr(0, j) + t : "") + i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + t) + (c ? d + Math.abs(n - i).toFixed(c).slice(2) : "");
 };
 
function ShowPopup(x)
{
	document.getElementById("popup").innerHTML='<a href="index.php?page=cart">'+x+'</a>';
	document.getElementById("popup").style.display="block";
	setTimeout('HidePopup()', 3000);
}

function HidePopup()
{
	document.getElementById("popup").style.display="none";
}

function createCookie(name,value,days) 
{
	
    var expires = "";
    if (days) 
	{
        var date = new Date();
        date.setTime(date.getTime() + (days*24*60*60*1000));
        expires = "; expires=" + date.toUTCString();
    }
	
    document.cookie = name + "=" + value + expires + "; path=/";
}

function readCookie(name) 
{
    var nameEQ = name + "=";
    var ca = document.cookie.split(';');
    for(var i=0;i < ca.length;i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1,c.length);
        if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
    }
    return null;
}

function InitCart()
{
	cart_products = Array();
	cart_quantities = Array();

	var ca = document.cookie.split(';');
    for(var i=0;i < ca.length;i++) {
        var c = ca[i];
		
		
        while (c.charAt(0)==' ') c = c.substring(1,c.length);
        if (c.indexOf("product_") == 0)
		{			
			value = c.substring("product_".length,c.length);
			
			items=value.split("=");
			
			cart_products.push(parseInt(items[0]));
			cart_quantities[parseInt(items[0])] = parseInt(items[1]);
		}
		
		if (c.indexOf("options_") == 0)
		{			
			value = c.substring("options_".length,c.length);
			items=value.split("=");
			arr_option_items=items[1].split("@");
			cart_options[items[0]]=arr_option_items[0];
			cart_option_prices[items[0]]=parseFloat(arr_option_items[1]);
		}
    }
	UpdateCart();
}

function eraseCookie(name) {
    createCookie(name,0,-1);
}

function AddToCart(x)
{
	
	var product_index = cart_products.indexOf(x);
	
	//var product_index = parseInt(x);
	
	var product_options="";
	
	if (product_index > -1) 
	{
		cart_quantities[x]++;
	}
	else
	{
		cart_products.push(x);
		cart_quantities[x] = 1;
		cart_options[x]="";
		cart_option_prices[x]=0;
	}
	
	
	/*
	
	if(typeof total_options_number !== 'undefined') 
	{
	
		for(options_index=0;options_index<total_options_number;options_index++)
		{
			
			var select_menu = document.getElementById("option_"+options_index);
			
			if(select_menu.options[select_menu.selectedIndex].value!="")
			{
				arr_select_options=select_menu.options[select_menu.selectedIndex].value.split("@");;
				
				if(typeof arr_select_options[0] !== 'undefined' && arr_select_options[0] != "") 
				{
					cart_options[x]+=", "+document.getElementById("option_name_"+options_index).value+": "+arr_select_options[0];
				}
				if(typeof arr_select_options[1] !== 'undefined' && arr_select_options[1] != "") 
				{
					cart_option_prices[x]+=parseFloat(arr_select_options[1]);
				}
			}
			
		}
	}
	*/
	
	
	if(typeof product_available_items !== 'undefined') 
	{
		if(cart_quantities[x]>product_available_items[x])
		{
			cart_quantities[x]=product_available_items[x];
		}
	}
	
	var str_options="";
	if(typeof total_options_number !== 'undefined') 
	{
		for(options_index=0;options_index<total_options_number;options_index++)
		{
			var option_value="";
			var select_menu = document.getElementById("option_"+options_index);
			
			if(typeof select_menu.options !== 'undefined') 
			{	
				option_value=select_menu.options[select_menu.selectedIndex].value;
			}
			else
			{
				option_value=select_menu.value;
			}
			
			if(option_value!="")
			{
				str_options+="__"+options_index+"_"+option_value;
			}
			//createCookie("options_"+x,options_index+"@"+option_value,1) ;
		}
	}
	
	createCookie("product_"+x+str_options,cart_quantities[x],1) ;
	
	
	ShowPopup(added_to_cart);
	UpdateCart();
	
}

function DeleteProduct(x)
{
	var product_index = cart_products.indexOf(x);
	
	if (product_index > -1) 
	{
		cart_products.splice(product_index, 1);
		cart_quantities[x] = 0;
		
		eraseCookie("product_"+product_index);
		eraseCookie("options_"+product_index);
	}
	
}

function UpdateCart()
{
	var total_products=0;
	
	
	for(i=0;i<cart_products.length;i++)
	{
		//alert(cart_products.length);
		
		if(typeof cart_quantities[cart_products[i]] === 'undefined') 
		{
			continue;
		}
		
		total_products+=cart_quantities[cart_products[i]];
	}
	
	
	document.getElementById("cart-counter").style.visibility="visible";
	
	document.getElementById("cart-counter").innerHTML=total_products;//cart_products.length;
	
	
	/*
	var str_checkout_buttons='<a href="javascript:ProceedUpdate()" class="btn btn-outline-secondary btn-sm add-right-margin">'+update+'</a> <a href="index.php?page=checkout" class="btn btn-primary btn-sm">'+checkout+'</a>';

	var cart_html = "";
	var subtotal=0;
	var shipping=0;
	
	if(flat_shipping>0)
	{
		shipping=flat_shipping;
	}
	
	if(cart_products.length>0)
	{
		for(i=0;i<cart_products.length;i++)
		{
			if(typeof products[cart_products[i]] === 'undefined') 
			{
				continue;
			}
			
			cart_html +='<input name="quantity_'+cart_products[i]+'" id="quantity_'+cart_products[i]+'" type="text" value="'+cart_quantities[cart_products[i]]+'" maxlength="2" class="quantity-text"/>';
			cart_html += products[cart_products[i]];
			if(typeof cart_options[i] !== 'undefined') 
			{
				cart_html += cart_options[i];
			}
			
			if(typeof cart_option_prices[i] !== 'undefined') 
			{
				cart_html += ' <span class="pull-right"><strong>'+currency_symbol+( (parseFloat(product_prices[cart_products[i]]) + parseFloat(cart_option_prices[i]))*cart_quantities[cart_products[i]]).formatMoney(2, '.', ',')+'</strong></span>';
			}
			else
			{
				cart_html += ' <span class="pull-right"><strong>'+currency_symbol+(product_prices[cart_products[i]]*cart_quantities[cart_products[i]]).formatMoney(2, '.', ',')+'</strong></span>';
			}
			cart_html += '<hr/>';
			
			if(typeof cart_option_prices[i] !== 'undefined') 
			{
				subtotal+=(parseFloat(product_prices[cart_products[i]]) + parseFloat(cart_option_prices[i]))*cart_quantities[cart_products[i]];
			}
			else
			{
				subtotal+=product_prices[cart_products[i]]*cart_quantities[cart_products[i]];
			}
			shipping+=product_shipping[cart_products[i]]*cart_quantities[cart_products[i]];
		}
	
		if(subtotal>=free_shipping)
		{
			shipping=0;
		}
	
		cart_html += '<span class="pull-right">'+subtotal_text+': <strong>'+currency_symbol+subtotal.formatMoney(2, '.', ',')+'</strong></span>';
					
		cart_html += '<div class="clearfix"></div><br/>';
		cart_html += str_checkout_buttons;
	}
	else
	{
		cart_html = cart_empty;
	}
	
	document.getElementById("Cart").innerHTML=cart_html;
	*/
}

function ProceedCheckout()
{
	if(cart_products.length==0)
	{
		ShowPopup(cart_empty);
	}
	else
	{
		var subtotal=0;
		var products_list="";
		for(i=0;i<cart_products.length;i++)
		{
			if(products_list!="") products_list+=", ";
			products_list+= products[cart_products[i]]+" ("+cart_quantities[cart_products[i]]+")";
			subtotal+=product_prices[cart_products[i]]*cart_quantities[cart_products[i]];
		}
		
		var paypal_link = "https://www.paypal.com/cgi-bin/webscr?";
		paypal_link += "cmd=_xclick&";
		paypal_link += "business="+SimpleDecrypt("123",pp_address)+"&";
		paypal_link += "currency_code="+currency_code+"&";
		paypal_link += "item_name="+products_list+"&";
		paypal_link += "amount="+subtotal;
	
		var payment_code="<br/><h3>Please click on the icon below to make your payment:</h3>";
		
		payment_code+='<a href="'+paypal_link+'" target="_blank"><img src="images/paypal.jpg"/></a>';
		payment_code+='<br/><br/><br/><a class="underline-link" href="index.php">Go Back</a>';
		
		document.getElementById("main-container").innerHTML=payment_code;
	}
}

function GoToCart()
{
	document.getElementById("cart-container").style.display="block";
	document.getElementById("payment-container").style.display="none";
}

function SubmitPaymentForm()
{
	ShowPopup('<img src="images/loading.gif" alt="loading"/> Please wait while processing your order');
	document.getElementById("payment-from").submit();
}


function ProceedUpdate()
{
	
	for(i=0;i<cart_products.length;i++)
	{
		if(document.getElementById("quantity_"+cart_products[i]))
		{
			var current_quantity = parseInt(document.getElementById("quantity_"+cart_products[i]).value) || 0;
		
			if(current_quantity==0)
			{
				DeleteProduct(cart_products[i]);
			}
			else
			{
			
				if(typeof product_available_items !== 'undefined' && current_quantity>product_available_items[cart_products[i]])
				{
					cart_quantities[cart_products[i]] = product_available_items[cart_products[i]];
				}
				else
				{
					cart_quantities[cart_products[i]] = current_quantity;
				}
				
				cart_quantities[cart_products[i]] = current_quantity;
				eraseCookie("product_"+i);
				createCookie("product_"+i,current_quantity,1);
			}
		}
		
	}
	
	UpdateCart();
}



function ProceedEmpty()
{
	for(i=0;i<cart_products.length;i++)
	{
		DeleteProduct(cart_products[i]);
	}
	
	UpdateCart();
}

function SimpleEncrypt(key, value) 
{
  var result="";
  for(i=0;i<value.length;++i)
  {
    result+=String.fromCharCode(key[i % key.length]^value.charCodeAt(i));
  }
  return result;
}

function SimpleDecrypt(key, value)
{
	var result="";
	for(i=0;i<value.length;++i)
	{
		result+=String.fromCharCode(key[i % key.length]^value.charCodeAt(i));
	}
	return result;
}

