<?php
// NetArt Media Partner Store 
// Copyright (c) All Rights Reserved, NetArt Media 2003-2022
// Check https://www.netartmedia.net/white-label for demos and information

?><?php
if(!defined('IN_SCRIPT')) die("");


if(isset($_REQUEST["id"]))
{
	$id=intval($_REQUEST["id"]);
	$this->ms_i($id);
}
else
{
	die("The listing ID isn't set.");
}

$xml = simplexml_load_file($this->data_file);
$listings = $xml->xpath('//listings/listing/id[.="'.$id.'"]/parent::*');

if(!isset($listings[0])) die("This product doesn't exist!");

$listing = $listings[0];
$this->Title($listing->title);
$this->MetaDescription($listing->description);
$product_html=file_get_contents('template/product-details-template.htm');		
	
$product_demos="<br/>";
if($listing->demo!="")
{
	$product_demos.='<a href="'.$listing->demo.'" target="_blank" class="btn btn-outline-dark flex-shrink-0" style="margin-right:20px">Open the Demo</a>';
}

if($listing->admin_demo!="")
{
	$product_demos.='<a href="'.$listing->admin_demo.'" target="_blank" class="btn btn-outline-dark flex-shrink-0">Administration Panel Demo</a>';
}
$product_demos.="<br/><br/>";
	
$product_html=str_replace("{product-name}",strip_tags(stripslashes($listing->title)),$product_html);
$product_html=str_replace("{product-price}",$this->texts["product_price"].": ".$this->price_format($listing->price),$product_html);
$product_html=str_replace("{product-description}",stripslashes($listing->description).($listing->demos==1?$product_demos:""),$product_html);

?>
<script>
var total_options_number=0;
</script>
<br/>

<?php


$product_html=str_replace("{add-to-cart}",$this->texts["add_to_cart"],$product_html);
$product_html=str_replace("{cart-link}","javascript:AddToCart(".$listing->id.")",$product_html);


$product_html=str_replace("{product-category}",'<a class="category-small-link" href="'.$this->category_link($listing->product_category,$this->show_category($listing->product_category)).'">'.$this->show_category($listing->product_category).'</a>',$product_html);
						
if($listing->images!="")
{
	$product_images="";
	$images=explode(",",trim($listing->images,","));
					
	$product_images.="<a href=\"uploaded_images/".$images[0].".jpg\" rel=\"prettyPhoto[ad_gal]\">";
	$product_images.="<img src=\"uploaded_images/".$images[0].".jpg\" alt=\"".$listing->title."\" class=\"img-responsive img-fluid\"/>";
	$product_images.="</a>";
	$product_images.="<br/>";
	
	$images_counter=0;	
	for($i=(sizeof($images)-1);$i>=1;$i--)
	{
		if(trim($images[$i])==""||$images_counter>=$this->settings["website"]["images_below_products"]) continue;
							
		if($i!=0)
		{
			$images_counter++;	
			$product_images.="<a href=\"uploaded_images/".$images[$i].".jpg\" rel=\"prettyPhoto[ad_gal]\">";
		}
		$product_images.="<img src=\"thumbnails/".$images[$i].".jpg\" width=\"90\" alt=\"\" style=\"margin-right:10px\"/>";
		if($i!=0)
		{
			$product_images.="</a>";
		}
	}
	
	$product_images.='<link rel="stylesheet" href="css/prettyPhoto.css" type="text/css" media="screen" charset="utf-8" />
	<script src="js/jquery.prettyPhoto.js" type="text/javascript" charset="utf-8"></script>
	<script type="text/javascript" charset="utf-8">
	$(document).ready(function()
	{
		$("a[rel=\'prettyPhoto[ad_gal]\']").prettyPhoto({
			deeplinking:false
		});
		InitCart();
	});
	</script>';
	
	$product_html=str_replace("{product-images}",$product_images,$product_html);

}
else
{
	$product_html=str_replace("{product-images}",'<img src="images/no-image.png" class="img-responsive img-fluid"/>',$product_html);

	
}
$product_html=str_replace("{product-options}","",$product_html);
echo $product_html;	
?>
